class katalan
{public static void main(String arg[])
{
double total=1;
double multiply=1;
double artieksi=1;
for(int m=1;m<1000000;m++)
{artieksi*=-1;
 multiply=artieksi/((2*m+1)*(2*m+1));
 total+=multiply;
}
System.out.println("K="+total); 
}
}